Debian Bug report logs - #556382
FTBFS: Cannot find xconfig.h

version graph

Package: src:cdrkit; Maintainer for src:cdrkit is Joerg Jaspert <joerg@debian.org>;

Reported by: Matt Kraai <kraai@ftbfs.org>

Date: Sun, 15 Nov 2009 17:03:01 UTC

Severity: serious

Tags: patch

Found in version cdrkit/9:1.1.9-1

Fixed in version cdrkit/9:1.1.10-1

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#556382; Package src:cdrkit. (Sun, 15 Nov 2009 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
New Bug report received and forwarded. Copy sent to Joerg Jaspert <joerg@debian.org>. (Sun, 15 Nov 2009 17:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: submit@bugs.debian.org
Subject: FTBFS: Cannot find xconfig.h
Date: Sun, 15 Nov 2009 08:54:40 -0800
[Message part 1 (text/plain, inline)]
Source: cdrkit
Version: 9:1.1.9-1
Severity: serious
Tags: patch

Hi,

When I try to build cdrkit, it fails with the following error:

> In file included from /tmp/buildd/cdrkit-1.1.9/libunls/nls_base.c:42:
> /tmp/buildd/cdrkit-1.1.9/libunls/../include/mconfig.h:59:70: error: xconfig.h: No such file or directory

There are similar errors for most of the files.

xconfig.h is generated in build/include, but this directory isn't in
the include path.  The attached patch causes it to be included.

-- 
Matt                                            http://ftbfs.org/kraai
[patch (text/plain, attachment)]

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Sat, 28 Nov 2009 00:06:13 GMT) Full text and rfc822 format available.

Notification sent to Matt Kraai <kraai@ftbfs.org>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 00:06:13 GMT) Full text and rfc822 format available.

Message #10 received at 556382-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 556382-close@bugs.debian.org
Subject: Bug#556382: fixed in cdrkit 9:1.1.10-1
Date: Sat, 28 Nov 2009 00:02:36 +0000
Source: cdrkit
Source-Version: 9:1.1.10-1

We believe that the bug you reported is fixed in the latest version of
cdrkit, which is due to be installed in the Debian FTP archive:

cdda2wav_1.1.10-1_all.deb
  to main/c/cdrkit/cdda2wav_1.1.10-1_all.deb
cdrecord_1.1.10-1_all.deb
  to main/c/cdrkit/cdrecord_1.1.10-1_all.deb
cdrkit-doc_1.1.10-1_all.deb
  to main/c/cdrkit/cdrkit-doc_1.1.10-1_all.deb
cdrkit_1.1.10-1.diff.gz
  to main/c/cdrkit/cdrkit_1.1.10-1.diff.gz
cdrkit_1.1.10-1.dsc
  to main/c/cdrkit/cdrkit_1.1.10-1.dsc
cdrkit_1.1.10.orig.tar.gz
  to main/c/cdrkit/cdrkit_1.1.10.orig.tar.gz
genisoimage_1.1.10-1_i386.deb
  to main/c/cdrkit/genisoimage_1.1.10-1_i386.deb
icedax_1.1.10-1_i386.deb
  to main/c/cdrkit/icedax_1.1.10-1_i386.deb
mkisofs_1.1.10-1_all.deb
  to main/c/cdrkit/mkisofs_1.1.10-1_all.deb
wodim_1.1.10-1_i386.deb
  to main/c/cdrkit/wodim_1.1.10-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 556382@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated cdrkit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 27 Nov 2009 23:27:43 +0000
Source: cdrkit
Binary: wodim genisoimage icedax cdrkit-doc cdrecord mkisofs cdda2wav
Architecture: source all i386
Version: 9:1.1.10-1
Distribution: unstable
Urgency: low
Maintainer: Joerg Jaspert <joerg@debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 cdda2wav   - Dummy transition package for icedax
 cdrecord   - Dummy transition package for wodim
 cdrkit-doc - Documentation for the cdrkit package suite
 genisoimage - Creates ISO-9660 CD-ROM filesystem images
 icedax     - Creates WAV files from audio CDs
 mkisofs    - Dummy transition package for genisoimage
 wodim      - command line CD/DVD writing tool
Closes: 547886 556382
Changes: 
 cdrkit (9:1.1.10-1) unstable; urgency=low
 .
   * New upstream release.
     - Several functions that clash with POSIX renamed.  (Closes: #547886)
   * Fix FTBFS with missing xconfig.h. Thanks to Matt Kraai for the patch.
     Closes: #556382
Checksums-Sha1: 
 0b566ee601147918c50d98614b4efa0df3d4839e 1266 cdrkit_1.1.10-1.dsc
 37f35c0cb3180bbe56efc37bbf7bc82df39447c4 1443493 cdrkit_1.1.10.orig.tar.gz
 75db3775d876a80fbf83ab7f4b467b928995698b 27027 cdrkit_1.1.10-1.diff.gz
 2f716271dd69e0ce80e77d8c27c4dfc071f3a112 161068 cdrkit-doc_1.1.10-1_all.deb
 a19039f5406d652b7281aaf9a6bff9fdf76e47f3 1228 cdrecord_1.1.10-1_all.deb
 356ae7ecda47d077c4891c48256602f9c01d48a2 842 cdda2wav_1.1.10-1_all.deb
 632090ec515f241f630fe2998ec678f5885d0b69 990 mkisofs_1.1.10-1_all.deb
 f5a72767ae555e79e22a4f3e8f8644279499cf9c 429788 wodim_1.1.10-1_i386.deb
 27f683ae3e688e9ef1e0cac7495e66542c3a3439 173674 icedax_1.1.10-1_i386.deb
 38d11f96cb16bc3685f0c95ecda88d314498fec7 578978 genisoimage_1.1.10-1_i386.deb
Checksums-Sha256: 
 9bd8059ac8b073b3b87af5c9e1af607f0fb198a9d45265d14787c1e859487f3b 1266 cdrkit_1.1.10-1.dsc
 8b6e90b4068cac6f3a75a501d7a85aba6583b2dc34f434e3eb62d29104b107e5 1443493 cdrkit_1.1.10.orig.tar.gz
 fb97bbd50c944fb86bade66bdbe2578e0345f1bdc69108a6a6aff4ace413abef 27027 cdrkit_1.1.10-1.diff.gz
 248150c7bd80dd557a052bad1f383b41513d2b26c89b379d612acf96902ff3ea 161068 cdrkit-doc_1.1.10-1_all.deb
 2935b57516d13a659186e66ff8976fce0d8ed237223361053048d3e050c04774 1228 cdrecord_1.1.10-1_all.deb
 e5b713aaab527bb535fdf0d51d8fd55a18d14e6e0161f95c2239336d009ec2a4 842 cdda2wav_1.1.10-1_all.deb
 58b9c2aa70b07277396dbc968acd32d8615376c957df45a9877c3d45718e7ee7 990 mkisofs_1.1.10-1_all.deb
 00d5c5fd17f0d5d67d6570b75d3d7e49a15ffbb02e9ec8c1491ac3859ab83800 429788 wodim_1.1.10-1_i386.deb
 5a965bac7ecfc8f35c5018888636a689ecd3d83b7ed4658feda03bca9c43d848 173674 icedax_1.1.10-1_i386.deb
 20d6cab1d92f098569512ecbfb5d25bf6821a956f9c9c1246cd8ba1ef4c49eda 578978 genisoimage_1.1.10-1_i386.deb
Files: 
 ef57c3fb1594ed2216d6a7865f52632d 1266 otherosfs optional cdrkit_1.1.10-1.dsc
 3c25505d567113c269dc6e71640646d8 1443493 otherosfs optional cdrkit_1.1.10.orig.tar.gz
 635eaa26fc5a21c7f4d62693f8c3d946 27027 otherosfs optional cdrkit_1.1.10-1.diff.gz
 736fffa5fdfdb1495c6b4820c1c3e53d 161068 doc optional cdrkit-doc_1.1.10-1_all.deb
 31cd807901360b8f45c07186b30f59db 1228 otherosfs optional cdrecord_1.1.10-1_all.deb
 f25f486a74e4ab55d0ebe7c7e1274690 842 sound optional cdda2wav_1.1.10-1_all.deb
 1cb42ed2bc4677417a9ef32e6df9287e 990 otherosfs optional mkisofs_1.1.10-1_all.deb
 2e73c74debcc9d5da43160c0dc1fde02 429788 otherosfs optional wodim_1.1.10-1_i386.deb
 300f2a53c355f4576c3659513194057c 173674 sound optional icedax_1.1.10-1_i386.deb
 45cb93013ab5ec5133fb2a95a95681e2 578978 otherosfs optional genisoimage_1.1.10-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAksQYkIACgkQfDt5cIjHwfc0kgCfe4XWI9jBBWkPXG9jwMgqEyMN
vLQAn07l0br0CjrAdmehJtdJMY+A+5GS
=X94c
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Dec 2009 07:39:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:25:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.